# Get Shipment Status Timeline by Order ID and Shipment ID GET https://api.shipbob.com/2026-01/order/{orderId}/shipment/{shipmentId}/timeline Retrieves a chronological timeline of shipment status updates by shipment ID, showing when each status change occurred and providing visibility into the fulfillment progress. Reference: https://developer.shipbob.com/api/orders/get-shipment-status-timeline-by-order-id-and-shipment-id ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: api-2026-01 version: 1.0.0 paths: /2026-01/order/{orderId}/shipment/{shipmentId}/timeline: get: operationId: get-shipment-status-timeline-by-order-id-and-shipment-id summary: Get Shipment Status Timeline by Order ID and Shipment ID description: >- Retrieves a chronological timeline of shipment status updates by shipment ID, showing when each status change occurred and providing visibility into the fulfillment progress. tags: - subpackage_orders parameters: - name: orderId in: path description: The order id to get the shipment for required: true schema: type: string format: int32 - name: shipmentId in: path description: The shipment id to get required: true schema: type: string format: int32 - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token or OAuth2 required: true schema: type: string - name: shipbob_channel_id in: header description: >- Retrieve your channel ID from the [GET /channel](/api/channels/get-channels) endpoint. Use the channel ID that has write scopes. required: false schema: type: string format: int32 responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/Orders.ShipmentLogViewModelArray' '400': description: Bad Request content: application/json: schema: $ref: >- #/components/schemas/Orders.Get.Api.Order.OrderId.Shipment.ShipmentId.Timeline.Bad.Request.Object '401': description: No access right at this time content: application/json: schema: description: Any type '403': description: No access content: application/json: schema: description: Any type '404': description: Not Found content: application/json: schema: description: Any type servers: - url: https://api.shipbob.com - url: https://sandbox-api.shipbob.com components: schemas: Orders.ShipmentLogViewModel: type: object properties: log_type_id: type: integer description: Log type id of the shipment log_type_name: type: - string - 'null' description: Name of the log type log_type_text: type: - string - 'null' description: Summary of log type meaning metadata: type: - object - 'null' additionalProperties: type: string description: Specifics data for the event timestamp: type: string format: date-time description: Timestamp of event title: Orders.ShipmentLogViewModel Orders.ShipmentLogViewModelArray: type: array items: $ref: '#/components/schemas/Orders.ShipmentLogViewModel' title: Orders.ShipmentLogViewModelArray Orders.Get.Api.Order.OrderId.Shipment.ShipmentId.Timeline.Bad.Request.Object: type: object additionalProperties: type: array items: type: string title: >- Orders.Get.Api.Order.OrderId.Shipment.ShipmentId.Timeline.Bad.Request.Object securitySchemes: PAT: type: http scheme: bearer description: Authentication using Personal Access Token (PAT) token or OAuth2 ``` ## SDK Code Examples ```python Orders_getShipmentStatusTimelineByOrderIdAndShipmentId_example import requests url = "https://api.shipbob.com/2026-01/order/orderId/shipment/shipmentId/timeline" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Orders_getShipmentStatusTimelineByOrderIdAndShipmentId_example const url = 'https://api.shipbob.com/2026-01/order/orderId/shipment/shipmentId/timeline'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Orders_getShipmentStatusTimelineByOrderIdAndShipmentId_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2026-01/order/orderId/shipment/shipmentId/timeline" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Orders_getShipmentStatusTimelineByOrderIdAndShipmentId_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2026-01/order/orderId/shipment/shipmentId/timeline") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Orders_getShipmentStatusTimelineByOrderIdAndShipmentId_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2026-01/order/orderId/shipment/shipmentId/timeline") .header("Authorization", "Bearer ") .asString(); ``` ```php Orders_getShipmentStatusTimelineByOrderIdAndShipmentId_example request('GET', 'https://api.shipbob.com/2026-01/order/orderId/shipment/shipmentId/timeline', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Orders_getShipmentStatusTimelineByOrderIdAndShipmentId_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2026-01/order/orderId/shipment/shipmentId/timeline"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Orders_getShipmentStatusTimelineByOrderIdAndShipmentId_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-01/order/orderId/shipment/shipmentId/timeline")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```